<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="KHDN_PTM" language="groovy" pageWidth="1500" pageHeight="800" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="1490" leftMargin="5" rightMargin="5" topMargin="20" bottomMargin="20" isIgnorePagination="true">
	<property name="net.sf.jasperreports.export.xls.detect.cell.type" value="true"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="43"/>
	<property name="ireport.zoom" value="1.1000000000000028"/>
	<subDataset name="f01">
		<queryString>
			<![CDATA[select to_char(sysdate,'dd/mm/yyyy hh24:mi:ss') ngay  from dual]]>
		</queryString>
		<field name="NGAY1" class="java.lang.String"/>
		<field name="THANG1" class="java.lang.String"/>
		<field name="NAM1" class="java.lang.String"/>
	</subDataset>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="nguoi_th" class="java.lang.String"/>
	<parameter name="start_date" class="java.lang.String"/>
	<parameter name="end_date" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ?:= ADMIN_V2.pk_freedoo.bcao_ct('{p0ngay}','{p0thang}','{p0agent}') ;end;]]>
	</queryString>
	<field name="msisdn" class="java.lang.String"/>
	<field name="custname" class="java.lang.String"/>
	<field name="custaddress" class="java.lang.String"/>
	<field name="agent_code" class="java.lang.String"/>
	<field name="registype" class="java.lang.String"/>
	<field name="pkg_ext" class="java.lang.String"/>
	<field name="pkg_services" class="java.lang.String"/>
	<field name="sl" class="java.lang.Number"/>
	<field name="dateofissue" class="java.lang.String"/>
	<field name="sub_meg" class="java.lang.String"/>
	<field name="admintel" class="java.lang.String"/>
	<field name="phi_dk" class="java.lang.String"/>
	<field name="nguoi_dk" class="java.lang.String"/>
	<field name="donvi" class="java.lang.String"/>
	<field name="matinh" class="java.lang.String"/>
	<field name="tong" class="java.lang.String"/>
	<field name="meg_chinh" class="java.lang.String"/>
	<field name="stt" class="java.lang.String"/>
	<field name="thang_t_moi" class="java.lang.String"/>
	<field name="thang_t_hh" class="java.lang.String"/>
	<field name="thang_t_tru_1_hh" class="java.lang.String"/>
	<field name="agent" class="java.lang.String"/>
	<field name="ma_tinh" class="java.lang.String"/>
	<field name="time_request" class="java.lang.String"/>
	<field name="time_success" class="java.lang.String"/>
	<field name="status" class="java.lang.String"/>
	<field name="user_id" class="java.lang.String"/>
	<field name="kt" class="java.lang.String"/>
	<variable name="sum_agent" class="java.lang.Number" resetType="Group" resetGroup="rpt_group_agent" calculation="Sum">
		<variableExpression><![CDATA[$F{sl}]]></variableExpression>
	</variable>
	<group name="rpt_group_agent">
		<groupExpression><![CDATA[$F{agent_code}]]></groupExpression>
		<groupHeader>
			<band height="65">
				<staticText>
					<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="72" y="17" width="140" height="47" isPrintWhenDetailOverflows="true"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Số thuê bao]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="212" y="17" width="106" height="47" isPrintWhenDetailOverflows="true"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Mã tỉnh]]></text>
				</staticText>
				<staticText>
					<reportElement mode="Opaque" x="318" y="17" width="181" height="47" forecolor="#000000" backcolor="#FFFFFF"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
						<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[Thời gian tiếp nhận]]></text>
				</staticText>
				<staticText>
					<reportElement mode="Opaque" x="657" y="17" width="146" height="47" forecolor="#000000" backcolor="#FFFFFF"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
						<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[Trạng thái (success/fail)]]></text>
				</staticText>
				<staticText>
					<reportElement mode="Opaque" x="499" y="17" width="158" height="47" forecolor="#000000" backcolor="#FFFFFF"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
						<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[Thời gian hoàn thành]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="5" y="17" width="67" height="47" isPrintWhenDetailOverflows="true"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[STT]]></text>
				</staticText>
				<staticText>
					<reportElement mode="Opaque" x="803" y="17" width="111" height="47" forecolor="#000000" backcolor="#FFFFFF"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
						<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[User thực hiện]]></text>
				</staticText>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="20"/>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="161" splitType="Stretch">
			<image>
				<reportElement x="25" y="10" width="114" height="42"/>
				<imageExpression><![CDATA["images\\vinaphone_logo.png"]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="159" y="72" width="599" height="50"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="20" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[MẪU BÁO CÁO THUÊ BAO CHUYỂN ĐỔI HÌNH THỨC
QUA KÊNH ONLINE]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement x="791" y="38" width="257" height="44"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="791" y="10" width="257" height="28"/>
				<box topPadding="0" rightPadding="0"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA["Ngày báo cáo: "+((HashMap)$P{NEO_SQL_META_MAP}).get("f01ngay").toString()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="159" y="10" width="599" height="62"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="14" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[CỘNG HÒA XÃ HỘI CHỦ NGHĨA VIỆT NAM
Độc lập - Tự do - Hạnh phúc]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="20" splitType="Stretch">
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="212" y="0" width="106" height="20" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ma_tinh}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="72" y="0" width="140" height="20" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{msisdn}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="318" y="0" width="181" height="20" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{time_request}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="657" y="0" width="146" height="20" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{status}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="499" y="0" width="158" height="20" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{time_success}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="5" y="0" width="67" height="20" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{stt}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="803" y="0" width="111" height="20" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{user_id}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="244" splitType="Stretch">
			<textField>
				<reportElement x="489" y="42" width="314" height="144"/>
				<box topPadding="10"/>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{nguoi_th}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="489" y="22" width="314" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Người báo cáo]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
